> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 견적서 항목 템플릿 생성

> 새 견적서 항목을 생성합니다. `classification.id`로 분류를 지정합니다(별도 분류 목록 API 참조). 단가(`unit_cost`), 단위(`unit`), 설명 등 필드는 스키마의 help_text 참조.



## OpenAPI

````yaml POST /v1/estimate/item
openapi: 3.1.0
info:
  title: pluuug openapi
  version: 1.0.0
  description: >-
    플러그에서 제공하는 REST API의 상세 내용을 확인하고 직접 테스트할 수 있는 인터페이스입니다.<br>이 문서를 통해 API의
    엔드포인트, 요청 및 응답 형식 등을 확인할 수 있습니다.
servers:
  - url: https://openapi.pluuug.com
security: []
paths:
  /v1/estimate/item:
    post:
      tags:
        - estimate
      summary: 견적서 항목 생성
      description: >-
        새 견적서 항목을 생성합니다. `classification.id`로 분류를 지정합니다(별도 분류 목록 API 참조).
        단가(`unit_cost`), 단위(`unit`), 설명 등 필드는 스키마의 help_text 참조.
      operationId: estimate_item_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenapiEstimateItemListCreateRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/OpenapiEstimateItemListCreateRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/OpenapiEstimateItemListCreateRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenapiEstimateItemListCreate'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/OpenapiEstimateItemListCreateValidationError
          description: ''
      security:
        - ApiKeyAuth: []
          Signature: []
components:
  schemas:
    OpenapiEstimateItemListCreateRequest:
      type: object
      properties:
        title:
          type: string
          minLength: 1
          description: 제목
          maxLength: 256
        unitCost:
          type: string
          format: decimal
          pattern: ^-?\d{0,28}(?:\.\d{0,2})?$
          description: 단위당 비용
        unit:
          type: string
          minLength: 1
          description: 단위
          maxLength: 8
        description:
          type:
            - string
            - 'null'
          minLength: 1
          description: 설명
          maxLength: 2048
        classification:
          description: 분류
          oneOf:
            - type: 'null'
            - $ref: >-
                #/components/schemas/OpenapiNestedEstimateItemClassificationRequest
      required:
        - title
        - unit
        - unitCost
    OpenapiEstimateItemListCreate:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          description: 제목
          maxLength: 256
        unitCost:
          type: string
          format: decimal
          pattern: ^-?\d{0,28}(?:\.\d{0,2})?$
          description: 단위당 비용
        unit:
          type: string
          description: 단위
          maxLength: 8
        description:
          type:
            - string
            - 'null'
          description: 설명
          maxLength: 2048
        image:
          type: string
          readOnly: true
        classification:
          description: 분류
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedEstimateItemClassification'
      required:
        - id
        - image
        - title
        - unit
        - unitCost
    OpenapiEstimateItemListCreateValidationError:
      type: object
      properties:
        nonField:
          type: array
          items:
            type: string
        title:
          type: array
          items:
            type: string
        unitCost:
          type: array
          items:
            type: string
        unit:
          type: array
          items:
            type: string
        description:
          type: array
          items:
            type: string
        classification:
          $ref: >-
            #/components/schemas/OpenapiNestedEstimateItemClassificationValidationError
    OpenapiNestedEstimateItemClassificationRequest:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
      required:
        - id
    OpenapiNestedEstimateItemClassification:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
        title:
          type: string
          readOnly: true
          description: 제목
      required:
        - id
        - title
    OpenapiNestedEstimateItemClassificationValidationError:
      type: object
      properties:
        id:
          type: array
          items:
            type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    Signature:
      type: apiKey
      in: header
      name: X-Signature
      description: |-
        HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다.
        서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

````